#-------------------------------------------------
#
# Project created by QtCreator 2013-04-10T15:54:25
#
# run --docroot ./resources --approot . --deploy-path /ww --http-address 0.0.0.0 --http-port 8088
# sudo /usr/bin/qtcreator
#-------------------------------------------------

QT       += core
QT       -= gui
QT       += sql

TARGET = Theme.wt
CONFIG   += console
CONFIG   -= app_bundle
TEMPLATE = app

LIBS += -L/usr/lib -I/usr/local/include -lwt -lwthttp -lwtdbo -lcrypt -ltiff -lpng
LIBS += -lboost_signals -lboost_filesystem -lboost_system -lboost_regex -lboost_date_time -lboost_thread

SOURCES += Theme.cpp
OTHER_FILES += ../build-Theme-Desktop-Debug/Theme.xml \
    Theme-White.css \
    Theme-Red.css \
    Theme-Blue.css

# PostgreSql
#DEFINES += POSTGRES
#LIBS += -lwtdbopostgres

# Sqlite3
DEFINES += SQLITE3
LIBS += -lwtdbosqlite3

# Firebird
#DEFINES += FIREBIRD
#LIBS += -lwtdbofirebird

# MySQL
# svn co https://wtdbomysql.svn.sourceforge.net/svnroot/wtdbomysql wtdbomysql
#DEFINES += MYSQL
#LIBS += -lwtdbomysql

QMAKE_CXXFLAGS += -DNDEBUG
QMAKE_CXXFLAGS += "-std=c++11"
CXXFLAGS="-std=c++0x"

